Types in EJ2 JavaScript Avatar

21 Aug 202611 minutes to read

This section explains the different types of Avatar control.

Avatar size

The Essential® JS 2 The Avatar control provides the following predefined size classes that can be used with the .e-avatar class to change the appearance of the avatar:

Class Name Description
e-avatar-xlarge Displays extra-large size avatar.
e-avatar-large Displays large size avatar.
e-avatar Displays default size avatar.
e-avatar-small Displays small size avatar.
e-avatar-xsmall Displays extra-small size avatar.
<!DOCTYPE html>
<html lang="en">
<head>
    <title>Essential JS 2 for Avatar </title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Essential JS 2 for Avatar UI Control">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-base/styles/bootstrap5.3.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-layouts/styles/bootstrap5.3.css" rel="stylesheet">
</head>

<body>

    <div id="container">
        <div id="element">
            <span class="e-avatar e-avatar-xlarge"></span>
            <span class="e-avatar e-avatar-large"></span>
            <span class="e-avatar"></span>
            <span class="e-avatar e-avatar-small"></span>
            <span class="e-avatar e-avatar-xsmall"></span>
        </div>
    </div>

    <script>
        var ele = document.getElementById('container');
        if (ele) {
            ele.style.visibility = "visible";
        }   
    </script>
    <style>
        #element {
            display: block;
            width: 300px;
            margin: 100px auto;
            border-radius: 3px;
        }

        .e-avatar {
            background-image: url(https://ej2.syncfusion.com/demos/src/avatar/images/pic01.png);
        }
    </style>
</body>

</html>
#container {
    visibility: hidden;
}

#loader {
  color: #008cff;
  height: 40px;
  width: 30%;
  position: absolute;
  font-family: 'Helvetica Neue','calibiri';
  font-size: 14px;
  top: 45%;
  left: 45%;
}

Avatar types

The types of Essential® JS 2 Avatar controls are:

  • Default
  • Circle

Default

The default shape of the avatar is rectangular with rounded corners. It can be applied by adding the modifier class .e-avatar to the target element.

<!DOCTYPE html>
<html lang="en">
<head>
    <title>Essential JS 2 for Avatar </title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Essential JS 2 for Avatar UI Control">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-base/styles/bootstrap5.3.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-layouts/styles/bootstrap5.3.css" rel="stylesheet">
</head>

<body>
    <div id="container">
        <div id="element">
            <span class="e-avatar e-avatar-xlarge">RT</span>
            <span class="e-avatar e-avatar-large">RT</span>
            <span class="e-avatar">RT</span>
            <span class="e-avatar e-avatar-small">RT</span>
            <span class="e-avatar e-avatar-xsmall">RT</span>
        </div>
    </div>

    <script>
        var ele = document.getElementById('container');
        if (ele) {
            ele.style.visibility = "visible";
        }   
    </script>
    <style>
        #element {
            display: block;
            width: 260px;
            margin: 100px auto;
            border-radius: 3px;
        }
    </style>
</body>

</html>
#container {
    visibility: hidden;
}

#loader {
  color: #008cff;
  height: 40px;
  width: 30%;
  position: absolute;
  font-family: 'Helvetica Neue','calibiri';
  font-size: 14px;
  top: 45%;
  left: 45%;
}

Circle

The circle avatar shape can be applied by adding the modifier class .e-avatar-circle along with the base .e-avatar class to the target element.

<!DOCTYPE html>
<html lang="en">
<head>
    <title>Essential JS 2 for Avatar </title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Essential JS 2 for Avatar UI Control">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-base/styles/bootstrap5.3.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-layouts/styles/bootstrap5.3.css" rel="stylesheet">
</head>

<body>
    <div id="container">
        <div id="element">
            <span class="e-avatar e-avatar-xlarge e-avatar-circle">SJ</span>
            <span class="e-avatar e-avatar-large e-avatar-circle">SJ</span>
            <span class="e-avatar e-avatar-circle">SJ</span>
            <span class="e-avatar e-avatar-small e-avatar-circle">SJ</span>
            <span class="e-avatar e-avatar-xsmall e-avatar-circle">SJ</span>
        </div>
    </div>

    <script>
        var ele = document.getElementById('container');
        if (ele) {
            ele.style.visibility = "visible";
        }   
    </script>
    <style>
        #element {
            display: block;
            width: 260px;
            margin: 100px auto;
            border-radius: 3px;
        }
    </style>
</body>

</html>
#container {
    visibility: hidden;
}

#loader {
  color: #008cff;
  height: 40px;
  width: 30%;
  position: absolute;
  font-family: 'Helvetica Neue','calibiri';
  font-size: 14px;
  top: 45%;
  left: 45%;
}

Types in Angular Avatar

25 Sep 20267 minutes to read

The Angular Avatar component provides different sizes and visual styles to suit various design requirements. This section explains the available avatar sizes and shape types that can be customized using CSS classes.

Angular Avatar size

The Essential® JS 2 Angular Avatar provides predefined sizes that can be applied using CSS classes with the base .e-avatar class to control the avatar’s dimensions.

Class Name Description
e-avatar-xlarge Displays extra large size avatar.
e-avatar-large Displays large size avatar.
e-avatar Displays default size avatar.
e-avatar-small Displays small size avatar.
e-avatar-xsmall Displays extra small size avatar.
import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { Component } from '@angular/core';

@Component({
imports: [
    ],
standalone: true,
    selector: 'my-app',
    template: `
    <div id='element'>
            <span class="e-avatar e-avatar-xlarge"></span>
            <span class="e-avatar e-avatar-large"></span>
            <span class="e-avatar"></span>
            <span class="e-avatar e-avatar-small"></span>
            <span class="e-avatar e-avatar-xsmall"></span>
    </div>
    `
})

export class AppComponent { }
@import 'node_modules/@syncfusion/ej2-base/styles/material3.css';
@import 'node_modules/@syncfusion/ej2-layouts/styles/material3.css';
@import 'node_modules/@syncfusion/ej2-angular-layouts/styles/material3.css';

#container {
    visibility: hidden;
}

#loader {
    color: #008cff;
    height: 40px;
    left: 45%;
    position: absolute;
    top: 45%;
    width: 30%;
}

#element {
    display: block;
    width: 300px;
    margin: 100px auto;
    border-radius: 3px;
}

.e-avatar {
  background-image: url('https://ej2.syncfusion.com/demos/src/grid/images/2.png');
  margin: 2px;
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Avatar types

The Essential® JS 2 Angular Avatar supports two shape styles to match different design preferences:

  • Default (Rectangular with rounded corners)
  • Circle

Default

The default Angular Avatar shape is rectangular with rounded corners, providing a modern appearance suitable for most applications. This style is applied by adding the base class .e-avatar to the target element.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { Component } from '@angular/core';

@Component({
imports: [
        
    ],
standalone: true,
    selector: 'my-app',
    template: `
    <div id='element'>
            <span class="e-avatar e-avatar-xlarge">RT</span>
            <span class="e-avatar e-avatar-large">RT</span>
            <span class="e-avatar">RT</span>
            <span class="e-avatar e-avatar-small">RT</span>
            <span class="e-avatar e-avatar-xsmall">RT</span>
    </div>
    `
})

export class AppComponent { }
@import 'node_modules/@syncfusion/ej2-base/styles/material3.css';
@import 'node_modules/@syncfusion/ej2-layouts/styles/material3.css';

#container {
    visibility: hidden;
}

#loader {
    color: #008cff;
    height: 40px;
    left: 45%;
    position: absolute;
    top: 45%;
    width: 30%;
}

#element {
    display: block;
    width: 260px;
    margin: 100px auto;
    border-radius: 3px;
}

.e-avatar {
    margin: 2px;
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Circle

The circular avatar style creates a perfectly round appearance, commonly used for profile pictures and user representations. Apply this style by adding the modifier class .e-avatar-circle along with the base .e-avatar class to the target element.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { Component } from '@angular/core';

@Component({
imports: [
    ],
standalone: true,
    selector: 'my-app',
    template: `
    <div id='element'>
            <span class="e-avatar e-avatar-xlarge e-avatar-circle">SJ</span>
            <span class="e-avatar e-avatar-large e-avatar-circle">SJ</span>
            <span class="e-avatar e-avatar-circle">SJ</span>
            <span class="e-avatar e-avatar-small e-avatar-circle">SJ</span>
            <span class="e-avatar e-avatar-xsmall e-avatar-circle">SJ</span>
    </div>
    `
})

export class AppComponent { }
@import 'node_modules/@syncfusion/ej2-base/styles/material3.css';
@import 'node_modules/@syncfusion/ej2-layouts/styles/material3.css';

#container {
    visibility: hidden;
}

#loader {
    color: #008cff;
    height: 40px;
    left: 45%;
    position: absolute;
    top: 45%;
    width: 30%;
}

#element {
    display: block;
    width: 300px;
    margin: 100px auto;
    border-radius: 3px;
}

.e-avatar {
    margin: 2px;
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Types in React Avatar

24 Sep 202612 minutes to read

The React Avatar component provides different sizes and visual styles to suit various design requirements. This section covers the available avatar sizes and shape types that can be customized using CSS classes.

React Avatar size

The Essential® JS 2 React Avatar component offers five predefined sizes that can be applied using CSS classes with the base .e-avatar class to control the avatar’s dimensions.

Class Name Description
e-avatar-xlarge Displays extra large size avatar.
e-avatar-large Displays large size avatar.
e-avatar Displays default size avatar.
e-avatar-small Displays small size avatar.
e-avatar-xsmall Displays extra small size avatar.
import * as React from "react";
import * as ReactDom from "react-dom";
import './index.css';
function ReactApp() {
    return (<div>
      <span className="e-avatar e-avatar-xlarge"></span>
      <span className="e-avatar e-avatar-large"></span>
      <span className="e-avatar"></span>
      <span className="e-avatar e-avatar-small"></span>
      <span className="e-avatar e-avatar-xsmall"></span>
  </div>);
}
export default ReactApp;
ReactDom.render(<ReactApp />, document.getElementById("element"));
import * as React from "react";
import * as ReactDom from "react-dom";

function ReactApp() {
  return (
  <div>
      <span className="e-avatar e-avatar-xlarge"></span>
      <span className="e-avatar e-avatar-large"></span>
      <span className="e-avatar"></span>
      <span className="e-avatar e-avatar-small"></span>
      <span className="e-avatar e-avatar-xsmall"></span>
  </div>
  );
}
export default ReactApp;
ReactDom.render(<ReactApp/>, document.getElementById("element"));
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion EJ2 React Avatar Sample</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-base/styles/tailwind3.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-layouts/styles/tailwind3.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
    <link rel="stylesheet" href="index.css">
</head>
<body>
    <div id='element'>
        <div id='loader'>Loading....</div>
    </div>
</body>
</html>
#container {
    visibility: hidden;
}

#loader {
  color: #008cff;
  height: 40px;
  width: 30%;
  position: absolute;
  font-family: 'Helvetica Neue','calibiri';
  font-size: 14px;
  top: 45%;
  left: 45%;
}

#element {
    display: block;
    width: 300px;
    margin: 100px auto;
    border-radius: 3px;
}

.e-avatar {
    background-image: url(https://ej2.syncfusion.com/demos/src/grid/images/2.png);
    margin: 2px;
}

React Avatar types

The Essential® JS 2 React Avatar component supports two distinct shape styles to accommodate different design preferences:

  • Default (rectangular with rounded corners)
  • Circle

Default

The default Avatar style features a rectangular shape with rounded corners, providing a modern, versatile appearance suitable for most applications. This style is applied by adding the base class .e-avatar to the target element.

import * as React from "react";
import * as ReactDom from "react-dom";
import './index.css';
function ReactApp() {
    return (<div>
      <span className="e-avatar e-avatar-xlarge">RT</span>
      <span className="e-avatar e-avatar-large">RT</span>
      <span className="e-avatar">RT</span>
      <span className="e-avatar e-avatar-small">RT</span>
      <span className="e-avatar e-avatar-xsmall">RT</span>
  </div>);
}
export default ReactApp;
ReactDom.render(<ReactApp />, document.getElementById("element"));
import * as React from "react";
import * as ReactDom from "react-dom";

function ReactApp() {
  return (
  <div>
      <span className="e-avatar e-avatar-xlarge">RT</span>
      <span className="e-avatar e-avatar-large">RT</span>
      <span className="e-avatar">RT</span>
      <span className="e-avatar e-avatar-small">RT</span>
      <span className="e-avatar e-avatar-xsmall">RT</span>
  </div>
  );
}
export default ReactApp;
ReactDom.render(<ReactApp/>, document.getElementById("element"));
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion EJ2 React Avatar Sample</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-base/styles/tailwind3.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-layouts/styles/tailwind3.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
    <link rel="stylesheet" href="index.css">
</head>
<body>
    <div id='element'>
        <div id='loader'>Loading....</div>
    </div>
</body>
</html>
#container {
    visibility: hidden;
}

#loader {
  color: #008cff;
  height: 40px;
  width: 30%;
  position: absolute;
  font-family: 'Helvetica Neue','calibiri';
  font-size: 14px;
  top: 45%;
  left: 45%;
}

#element {
    display: block;
    width: 260px;
    margin: 100px auto;
    border-radius: 3px;
}

.e-avatar {
    margin: 2px;
}

Circle

The circular Avatar style creates a perfectly round appearance, ideal for profile pictures and user representations. Apply this style by adding the modifier class .e-avatar-circle along with the base .e-avatar class to the target element.

import * as React from "react";
import * as ReactDOM from "react-dom";
import "./index.css";
function ReactApp() {
    return (<div>
      <span className="e-avatar e-avatar-xlarge e-avatar-circle">SJ</span>
      <span className="e-avatar e-avatar-large e-avatar-circle">SJ</span>
      <span className="e-avatar e-avatar-circle">SJ</span>
      <span className="e-avatar e-avatar-small e-avatar-circle">SJ</span>
      <span className="e-avatar e-avatar-xsmall e-avatar-circle">SJ</span>
  </div>);
}
export default ReactApp;
ReactDOM.render(<ReactApp />, document.getElementById("element"));
import * as React from "react";
import * as ReactDOM from "react-dom";

function ReactApp() {
  return (
  <div>
      <span className="e-avatar e-avatar-xlarge e-avatar-circle">SJ</span>
      <span className="e-avatar e-avatar-large e-avatar-circle">SJ</span>
      <span className="e-avatar e-avatar-circle">SJ</span>
      <span className="e-avatar e-avatar-small e-avatar-circle">SJ</span>
      <span className="e-avatar e-avatar-xsmall e-avatar-circle">SJ</span>
  </div>
  );
}
export default ReactApp;
ReactDOM.render(<ReactApp/>, document.getElementById("element"));
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion EJ2 React Avatar Sample</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-base/styles/tailwind3.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-layouts/styles/tailwind3.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
    <link rel="stylesheet" href="index.css">
</head>
<body>
    <div id='element'>
        <div id='loader'>Loading....</div>
    </div>
</body>
</html>
#container {
    visibility: hidden;
}

#loader {
  color: #008cff;
  height: 40px;
  width: 30%;
  position: absolute;
  font-family: 'Helvetica Neue','calibiri';
  font-size: 14px;
  top: 45%;
  left: 45%;
}

#element {
    display: block;
    width: 300px;
    margin: 100px auto;
    border-radius: 3px;
}

.e-avatar {
    margin: 2px;
}

Types in Vue Avatar component

20 Aug 20267 minutes to read

This section explains different types of avatar.

Avatar size

The Essential® JS 2 Avatar provides the following predefined sizes. Apply the modifier classes below alongside the .e-avatar class to change the avatar size.

Class Name Description
e-avatar-xlarge Displays xlarge size avatar.
e-avatar-large Displays apply large size avatar.
e-avatar Displays apply default size avatar.
e-avatar-small Displays apply small size avatar.
e-avatar-xsmall Displays apply xsmall size avatar.
<template>
    <div id='element'>
        <span class="e-avatar e-avatar-xlarge"></span>
        <span class="e-avatar e-avatar-large"></span>
        <span class="e-avatar"></span>
        <span class="e-avatar e-avatar-small"></span>
        <span class="e-avatar e-avatar-xsmall"></span>
    </div>
</template>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-layouts/styles/material3.css";

#element {
    display: block;
    width: 300px;
    margin: 100px auto;
    border-radius: 3px;
}

.e-avatar {
    background-image: url(https://ej2.syncfusion.com/demos/src/grid/images/2.png);
    margin: 2px;
}
</style>
<template>
    <div id='element'>
        <span class="e-avatar e-avatar-xlarge"></span>
        <span class="e-avatar e-avatar-large"></span>
        <span class="e-avatar"></span>
        <span class="e-avatar e-avatar-small"></span>
        <span class="e-avatar e-avatar-xsmall"></span>
    </div>
</template>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-layouts/styles/material3.css";

#element {
    display: block;
    width: 300px;
    margin: 100px auto;
    border-radius: 3px;
}

.e-avatar {
    background-image: url(https://ej2.syncfusion.com/demos/src/grid/images/2.png);
    margin: 2px;
}
</style>

Avatar types

The types of Essential® JS 2 avatar are:

  • Default
  • Circle

Default

The default avatar is a rectangular shape with rounded corners. Apply it by adding the modifier class .e-avatar to the target element.

<template>
  <div id='element'>
    <span class="e-avatar e-avatar-xlarge">RT</span>
    <span class="e-avatar e-avatar-large">RT</span>
    <span class="e-avatar">RT</span>
    <span class="e-avatar e-avatar-small">RT</span>
    <span class="e-avatar e-avatar-xsmall">RT</span>
  </div>
</template>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-layouts/styles/material3.css";

#element {
  display: block;
  width: 260px;
  margin: 100px auto;
  border-radius: 3px;
}

.e-avatar {
  margin: 2px;
}
</style>
<template>
  <div id='element'>
    <span class="e-avatar e-avatar-xlarge">RT</span>
    <span class="e-avatar e-avatar-large">RT</span>
    <span class="e-avatar">RT</span>
    <span class="e-avatar e-avatar-small">RT</span>
    <span class="e-avatar e-avatar-xsmall">RT</span>
  </div>
</template>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-layouts/styles/material3.css";

#element {
  display: block;
  width: 260px;
  margin: 100px auto;
  border-radius: 3px;
}

.e-avatar {
  margin: 2px;
}
</style>

Circle

Apply the circle avatar style by adding the modifier class .e-avatar-circle to the target element.

<template>
  <div id='element'>
      <span class="e-avatar e-avatar-xlarge e-avatar-circle">SJ</span>
      <span class="e-avatar e-avatar-large e-avatar-circle">SJ</span>
      <span class="e-avatar e-avatar-circle">SJ</span>
      <span class="e-avatar e-avatar-small e-avatar-circle">SJ</span>
      <span class="e-avatar e-avatar-xsmall e-avatar-circle">SJ</span>
  </div>
</template>
<style>
  @import "../node_modules/@syncfusion/ej2-base/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-layouts/styles/material3.css";
  #element {
      display: block;
      width: 300px;
      margin: 100px auto;
      border-radius: 3px;
  }
  .e-avatar {
    margin: 2px;
  }
</style>
<template>
  <div id='element'>
      <span class="e-avatar e-avatar-xlarge e-avatar-circle">SJ</span>
      <span class="e-avatar e-avatar-large e-avatar-circle">SJ</span>
      <span class="e-avatar e-avatar-circle">SJ</span>
      <span class="e-avatar e-avatar-small e-avatar-circle">SJ</span>
      <span class="e-avatar e-avatar-xsmall e-avatar-circle">SJ</span>
  </div>
</template>
<style>
  @import "../node_modules/@syncfusion/ej2-base/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-layouts/styles/material3.css";
  #element {
      display: block;
      width: 300px;
      margin: 100px auto;
      border-radius: 3px;
  }
  .e-avatar {
    margin: 2px;
  }
</style>